# ApplicationFramework
TKLCAF
TDF

# TDF_ListIteratorOfAttributeDeltaList Class Reference

`#include <TDF_ListIteratorOfAttributeDeltaList.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_ListIteratorOfAttributeDeltaList ()
Standard_EXPORT | TDF_ListIteratorOfAttributeDeltaList (const TDF_AttributeDeltaList &L)
Standard_EXPORT void | Initialize (const TDF_AttributeDeltaList &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_TDF_AttributeDelta & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TDF_ListIteratorOfAttributeDeltaList::TDF_ListIteratorOfAttributeDeltaList | ( |  | ) |

Standard_EXPORT TDF_ListIteratorOfAttributeDeltaList::TDF_ListIteratorOfAttributeDeltaList | ( | const TDF_AttributeDeltaList & | L | ) |

## Member Function Documentation

Standard_EXPORT void TDF_ListIteratorOfAttributeDeltaList::Initialize | ( | const TDF_AttributeDeltaList & | L | ) |

Standard_Boolean TDF_ListIteratorOfAttributeDeltaList::More | ( |  | ) | const

Standard_EXPORT void TDF_ListIteratorOfAttributeDeltaList::Next | ( |  | ) |

void TDF_ListIteratorOfAttributeDeltaList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_ListIteratorOfAttributeDeltaList::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_ListIteratorOfAttributeDeltaList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_TDF_AttributeDelta& TDF_ListIteratorOfAttributeDeltaList::Value | ( |  | ) | const

## Field Documentation

Standard_Address TDF_ListIteratorOfAttributeDeltaList::current `[private]`

Standard_Address TDF_ListIteratorOfAttributeDeltaList::previous `[private]`

The documentation for this class was generated from the following file:

- TDF_ListIteratorOfAttributeDeltaList.hxx